package com.chenyang.nse.bussiness.entity.vo.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDataFileGroup;
import java.util.List;

public class TCoreProjectFindruleVO {
   private String id;
   private String project_id;
   private String dataarea_id;
   private String dataarea;
   private String rulestyle;
   private String rule_id;
   private String rulename;
   private String ruleexample;
   private String defaultrule;
   private String regex;
   private String flag;
   private String check;
   private String discoverway;
   private String searchregexid;
   private List<TCoreDataFileGroup> dataFileGroup;

   public String getDiscoverway() {
      return this.discoverway;
   }

   public void setDiscoverway(String discoverway) {
      this.discoverway = discoverway;
   }

   public List<TCoreDataFileGroup> getDataFileGroup() {
      return this.dataFileGroup;
   }

   public void setDataFileGroup(List<TCoreDataFileGroup> dataFileGroup) {
      this.dataFileGroup = dataFileGroup;
   }

   public String getSearchregexid() {
      return this.searchregexid;
   }

   public void setSearchregexid(String searchregexid) {
      this.searchregexid = searchregexid;
   }

   public String getCheck() {
      return this.check;
   }

   public void setCheck(String check) {
      this.check = check;
   }

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getRulestyle() {
      return this.rulestyle;
   }

   public void setRulestyle(String rulestyle) {
      this.rulestyle = rulestyle;
   }

   public String getRule_id() {
      return this.rule_id;
   }

   public void setRule_id(String rule_id) {
      this.rule_id = rule_id;
   }

   public String getDefaultrule() {
      return this.defaultrule;
   }

   public void setDefaultrule(String defaultrule) {
      this.defaultrule = defaultrule;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRuleexample() {
      return this.ruleexample;
   }

   public void setRuleexample(String ruleexample) {
      this.ruleexample = ruleexample;
   }

   public String getRegex() {
      return this.regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }
}
